StandardValue

Retrieves a list of StandardValues

Retrieves a list of StandardValues

GET/api/standard-values

Authorizations

X-AUTH-TOKEN
stringheaderrequired

Value for the X-AUTH-TOKEN header parameter.

Query Parameters

page
integerdefault:1

The collection page number

pagination
boolean

Enable or disable pagination

order[id]
stringdefault:asc

No description provided.

order[identifier]
stringdefault:asc

No description provided.

order[value]
stringdefault:asc

No description provided.

order[activeFrom]
stringdefault:asc

No description provided.

order[active]
stringdefault:asc

No description provided.

order[subClientDefault]
stringdefault:asc

No description provided.

order[createdAt]
stringdefault:asc

No description provided.

order[updatedAt]
stringdefault:asc

No description provided.

brandIdentifier
string

No description provided.

brandIdentifier[]
string[]

No description provided.

identifier
string

No description provided.

search
string

Search across multiple fields (id, identifier, brandIdentifier, value, activeFrom, active, subClientDefault, createdAt, updatedAt, subClient.description) using OR logic with partial matching.

active
boolean

No description provided.

activeFrom[before]
string

No description provided.

activeFrom[strictly_before]
string

No description provided.

activeFrom[after]
string

No description provided.

activeFrom[strictly_after]
string

No description provided.

Response

200application/json

StandardValue collection

id
integer

Identifier generated by Output.Rocks.

Example: 12345

identifier
stringrequired

Unique identifier

Example: "key1"

value
stringrequired

Value

Example: "line1\nline2"

active
boolean

Active flag. Default: true

Available options: truefalse

Example: true

activeFrom
string<date-time>

Date to activate the entry. Default: today

Example: "2024-01-01"